\documentclass[12pt]{report}
\usepackage[a4paper, left={2.5cm}, right={2cm}, top={3cm}, bottom={3cm}, headheight=15pt]{geometry}
\usepackage[ngerman]{babel}





\usepackage[%
backend=bibtex      % biber or bibtex
,style=authoryear    % Alphabeticalsch
%,style=numeric-comp  % numerical-compressed
,sorting=none        % no sorting
,sortcites=true      % some other example options ...
,block=none
,indexing=false
,citereset=none
,isbn=true
,url=true
,doi=true            % prints doi
,natbib=true % if you need natbib functions
,maxcitenames=2         
]{biblatex}
\DefineBibliographyStrings{ngerman}{%
	urlseen = {aufgerufen am}
}

\addbibresource{bibliography.bib}  % better than \bibliography

\usepackage[utf8]{inputenc}
\usepackage[cache=false]{minted}
\usepackage{booktabs}
\usepackage{enumitem}
\usepackage{blindtext}
\usepackage{titlesec}
\setcounter{tocdepth}{4}
\setcounter{secnumdepth}{5}
\usepackage{array}
\usepackage{verbatim}
\usepackage{float} 
\usepackage[nohyperlinks, printonlyused]{acronym}
\usepackage{graphicx}
\usepackage[driverfallback=hypertex]{hyperref} 
\titleformat{\chapter}
  {\normalfont\LARGE\bfseries}{\thechapter}{1em}{}
\titlespacing*{\chapter}{0pt}{-10pt}{40pt}
\input{sections/_general/titel_standard.tex}

\usepackage{fancyhdr}
\usepackage{lipsum}% just to generate text for the example

\usepackage{tabularx}
\renewcommand\tabularxcolumn[1]{m{#1}} % for vertical centering text in X column
\usepackage{caption}
\captionsetup[table]{position=bottom}


\fancypagestyle{plain}{%
  \fancyhf{}%
  \fancyhead[L]{\nouppercase{\leftmark}}%
  \fancyfoot[R]{\thepage}}
\pagestyle{plain}
\renewcommand{\chaptermark}[1]{\markboth{\thechapter. #1}{}}
\usepackage[parfill]{parskip}

\newcommand{\secref}[1]{\ref{#1} \nameref{#1}}



\usepackage{listings}
\usepackage{xcolor}

\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{rgb}{0.95,0.95,0.92}

\lstdefinestyle{mystyle}{
	backgroundcolor=\color{backcolour},   
	commentstyle=\color{codegreen},
	keywordstyle=\color{magenta},
	numberstyle=\tiny\color{codegray},
	stringstyle=\color{codepurple},
	basicstyle=\ttfamily\footnotesize,
	breakatwhitespace=false,         
	breaklines=true,                 
	captionpos=b,                    
	keepspaces=true,                 
	numbers=left,                    
	numbersep=5pt,                  
	showspaces=false,                
	showstringspaces=false,
	showtabs=false,                  
	tabsize=2
}

\lstset{style=mystyle}



\usepackage{hyperref}
\usepackage[ngerman]{cleveref}

\hypersetup{
	colorlinks   = true, %Colours links instead of ugly boxes
	urlcolor     = black, %Colour for external hyperlinks
	linkcolor    = black, %Colour of internal links
	citecolor   = black %Colour of citations
}


\usepackage{listings}
\crefname{lstlisting}{Code}{Code} 
\renewcommand{\lstlistingname}{Code}
\renewcommand\lstlistlistingname{Codeverzeichnis}

\usepackage{xcolor}

%\usepackage{color}
\definecolor{codegray}{gray}{0.9}
\newcommand{\code}[1]{\colorbox{codegray}{\texttt{#1}}}

%New colors defined below
\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray_s}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{HTML}{f5f5f5}

%Code listing style named "mystyle"
\lstdefinestyle{mystyle}{
	backgroundcolor=\color{backcolour}, commentstyle=\color{codegreen},
	keywordstyle=\color{magenta},
	numberstyle=\tiny\color{codegray_s},
	stringstyle=\color{codepurple},
	basicstyle=\ttfamily\footnotesize,
	breakatwhitespace=false,         
	breaklines=true,                 
	captionpos=b,                    
	keepspaces=true,                 
	numbers=left,                    
	numbersep=5pt,                  
	showspaces=false,                
	showstringspaces=false,
	showtabs=false,                  
	tabsize=2
}

%"mystyle" code listing set
\lstset{style=mystyle}


\usepackage[bottom]{footmisc}

\makeatletter
\def\@makefnmark{%
	\leavevmode
	\raise.9ex\hbox{\fontsize\sf@size\z@\normalfont\tiny\@thefnmark}}
\makeatother



%% !!!!!! BEARBEITEN !!!!! %%
%% ======================= %%
%% PARAMETER ZU DEFINIEREN %%
\newcommand{\parVorname}{Samuel}
\newcommand{\parNachname}{Trefz}
\newcommand{\parAbgabeDatum}{XX.XX.XXXX}
\newcommand{\parOrt}{Aspach}

%% ======================= %%

\begin{document}

	

%% TITLESEITE %%
 \TitleStandard
      {Konzeption und prototypische Implementierung eines applikationsübergreifenden Benachrichtigungsdienstes} 
      {Sommersemester 2022}   
      {Masterarbeit}                           
      {Digitale Prozesse und Technologien \\  \parVorname\ \parNachname \\ Mat. Nr: 1002940 }                                                       
      {Prof. Dr. Höß - Hochschulbetreuer}                       
      {Frederik Niehus - Firmenbetreuer}                      
      {Angemeldet am 04.05.2022 \\
      Abgabetermin 04.10.2022}              
    
\clearpage
%% ===============================================================  %% 
%%                       A U F B A U                                %%
%% ===============================================================  %% 
\pagenumbering{roman} % Nummeriung Römisch


%% --------------------------------  %% 
%% EHRENWÖRTLICHE ERKLÄRUNG
%% --------------------------------  %% 
\input{sections/_general/swornDeclaration}


%% --------------------------------  %% 
%% ZUSAMMENFASSUNG 
%% --------------------------------  %% 
\input{sections/_general/abstract}


%% --------------------------------  %% 
%% INHALTSVERZEICHNIS
%% --------------------------------  %% 
\tableofcontents


%% --------------------------------  %% 
%% ABBILDUNGSVERZEICHNIS
%% --------------------------------  %% 
\listoffigures
\addcontentsline{toc}{chapter}{Abbildungsverzeichnis}


%% --------------------------------  %% 
%% TABELLENVERZEICHNIS
%% --------------------------------  %% 
\listoftables
\addcontentsline{toc}{chapter}{Tabellenverzeichnis}


%% --------------------------------  %% 
%% ABKÜRZUNGSVERZEICHNIS
%% --------------------------------  %% 
\input{sections/_general/abbreviation}

%% --------------------------------  %% 
%% CODEVERZEICHNIS
%% --------------------------------  %% 
\lstlistoflistings
\addcontentsline{toc}{chapter}{Codeverzeichnis}




\clearpage
%% ===============================================================  %% 
%%                        I N H A L T                               %%
%% ===============================================================  %% 
\pagenumbering{arabic} % Nummeriung Arabisch


% BITTE LÖSCHEN!!!!!!!
\include{sections/einleitung/Einleitung}
\include{sections/einleitung/Grundlagen}
\include{sections/einleitung/Methodische_Grundlagen}
\include{sections/einleitung/Ausgangsbasis_im_Unternehmen}
\include{sections/hauptteil/Konzeption}
\include{sections/hauptteil/Implementierung}
%\include{sections/schluss/Fazit}
\include{sections/schluss/Ausblick}


%% ===============================================================  %% 
%%            I N H A L T S V E R Z E I C H N I S                   %%
%% ===============================================================  %% 
\newpage
\printbibliography[title=Literaturverzeichnis]



\end{document}